#!/usr/bin/gnuplot

nm = 1.e-9

set colors classic
set term x11

set xl "lambda [nm]"
set yl "F_{lambda} [J s^-1 m^-2 m^-1] (shifted by dataset number)"
set cbl "phase"

set yr [0:]
set cbr [0:1]
set zeroaxis
set colorbox

fac = 0.002
fac = 0.0
lw = 3

p \
  "<awk '($7!=last){ print null; }($8>=0.0) && ($8<0.25){ print $0,ARGIND; last=$7; }' *.sed.syn.dat" u ($2/nm):($4+$7*fac):8 t "observed" w l lc palette z,\
  "<awk '($7!=last){ print null; }($8>=0.0) && ($8<0.25){ print $0,ARGIND; last=$7; }' *.sed.syn.dat" u ($2/nm):($6+$7*fac):8 t "synthetic" w l lc palette z lw lw,\

pa -1

set term png small
set out "chi2_SED_1.png"
rep

q


