#!/usr/bin/gnuplot

set colors classic
set term x11

fac = 1.0
nm = 1.e-9
ang = 1.e-10/nm
rad = 180./pi

set xl "lambda [nm]"
set yl "visibility amplitude |V| [] (normalized to 0)"

tmp=1
set yr [-1+tmp*fac-fac:1+tmp*fac-fac]
set ytics 1
set grid ytics
set zeroaxis

call "line.plt" "Halpha" 6563
call "line.plt" "Hbeta"  4861
call "line.plt" "Hgamma" 4341
call "line.plt" "Hdelta" 4102
call "line.plt" "HeI"    4009
call "line.plt" "HeI"    4026
call "line.plt" "HeI"    4120
call "line.plt" "HeI"    4143
call "line.plt" "HeI"    4387
call "line.plt" "HeI"    4471
call "line.plt" "HeI"    4713
call "line.plt" "HeI"    4922
call "line.plt" "HeI"    5016
call "line.plt" "HeI"    5047
call "line.plt" "HeI"    5876
call "line.plt" "HeI"    6678
call "line.plt" "CII"    4267
call "line.plt" "MgII"   4481
call "line.plt" "SiII"   4128
call "line.plt" "SiII"   4130
call "line.plt" "SiII"   6347
call "line.plt" "SiII"   6371
call "line.plt" "NeI"    6402

#load "wavelengths.lab"

p \
  "<./null.awk 4 6 7 *.vis.syn.dat" u ($1/nm):($2+$4*fac-fac):3 not w err lc 'gray' ps 0,\
  "<./null.awk 4 8 7 *.vis.syn.dat" u ($1/nm):($2+$4*fac-fac)   t "synthetic" w l lt 7,\
  "<./null.awk 4 6 7 *.vis.syn.dat" u ($1/nm):($2+$4*fac-fac)   t "observed"  w l lt 3,\
  "<./null.awk 4 6 7 *.vis.syn.dat" u ($1/nm):($2+$4*fac-fac):4 not w labels,\
  "<./null.awk 4 6 7 *.vis.syn.dat | awk '($4!=last){ print $0; }{ last=$4; }'" u ($1/nm):($2+$4*fac-fac-0.33):(sprintf(" %s", stringcolumn(5))) not w labels font "Helvetica,8" left,\

pa -1

set term png small
set out sprintf("chi2_VAMP_null_%02d.png", tmp)
rep

do for [i = 2:37:1] {
  set yr [-1+i*fac-fac:1+i*fac-fac]
  set out sprintf("chi2_VAMP_null_%02d.png", i) 
  rep
}


q

