#!/usr/bin/gnuplot

chi2 = `awk 'BEGIN{ m=1e38; }($NF<m){ m=$NF; }END{ print m; }' fit.log`
lab = "`awk '(NR==1){ print $28; }' fit.log`"

set term x11
set colors classic

set xl lab
set yl "chi^2/N"

set yr [0:]

set zeroaxis
set key bottom

p \
  "<awk '{ print $28,$(NF- 0); }' fit.log" u 1:2 t "chi^2" w lp lt 1 ps 0.5,\
  "<awk '{ print $28,$(NF- 8); }' fit.log" u 1:2 t "LC"    w l,\
  "<awk '{ print $28,$(NF- 7); }' fit.log" u 1:2 t "VIS"   w l,\
  "<awk '{ print $28,$(NF- 6); }' fit.log" u 1:2 t "CLO"   w l,\
  "<awk '{ print $28,$(NF- 5); }' fit.log" u 1:2 t "T3"    w l,\
  "<awk '{ print $28,$(NF- 4); }' fit.log" u 1:2 t "VAMP"  w l,\
  "<awk '{ print $28,$(NF- 3); }' fit.log" u 1:2 t "VPHI"  w l,\
  "<awk '{ print $28,$(NF- 2); }' fit.log" u 1:2 t "SED"   w lp pt 2 ps 0.5,\
  "<awk '{ print $28,$(NF- 1); }' fit.log" u 1:2 t "SPE"   w lp pt 3 ps 0.5,\
  chi2 w l t sprintf("%f",chi2) lt 0

pa -1

set term png small
set out "chi2_params_.png"
rep

q

