#!/usr/bin/gawk -f

BEGIN{
  ang = 1.e-10;
  lastdataset=0;
  lastphase=0;
  i=0;
}
!/^#/{
  dataset=int($7+0.5);
  phase=$8;

  if ((dataset!=last) && (i>0)) {
    prn();
    i=0;
  }
  i++;
  eff_wave[i] = $2;
  fluxsyn[i] = $6;

  lastdataset = dataset;
  lastphase = phase;
}
END{
  prn();
}

func prn(){
  TMP=sprintf("%.6f.dat", lastphase);
  print "" >TMP;
  for (j=1; j<=i; j++){
    printf("%.4f  %.6f", eff_wave[j]/ang, fluxsyn[j]) >TMP;
  }
}

